Subject: Re: bug#41250: 28.0.50; Dired displays unconditionally ls-switches on modeline

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 May 2020 09:34:21 +0300

> From: Arthur Miller <[email-masked]>
> Cc: Drew Adams <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Fri, 15 May 2020 23:08:46 +0200
> 
> After I saw Drews mail and patch, and answered, I was thinking
> additionally, and I am actually now wondering, why is it assumed that
> Dired will show sorting order on modeline by default? I mean other modes
> does not do similar. Say, cc-mode does not show which current identation
> scheme I use, or something similar.

Yes, it does: the CC Mode shows the comment style in use and the minor
mode.

> Why is it assumed for Dired? I don't have historical insight so I
> don't know why original author(s) decided to make it so?

The sorting order was just one letter originally, so it sounds like a
good idea to have an indication of why the order is this and not
another.

> If Dired show just, word "Dired" as it's lighter only, as other modes do,
> then maybe Drews idea to have a format string is maybe the most flexible
> one?

Not IMO.  Using format strings and functions is "advanced usage",
which is normally barred for newbies and relatively inexperienced
Emacs users.  Popular options should IMO be exposed though easier
customization values.